Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 3280)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 5693)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -32,9 +32,9 @@
         The Quest is the parent class of LocalQuest and GlobalQuest.
 */
- 
+
 #ifndef _Quest_H__
 #define _Quest_H__
 
-#include "OrxonoxPrereqs.h"
+#include "objects/quest/QuestPrereqs.h"
 
 #include <list>
@@ -62,10 +62,10 @@
         A Quest has several hints (QuestHint) that can be unlocked through QuestEffects and then display aid in solving the Quest.
         A Quest has a list of QuestEffects that are invoked when the quest is failed and also a list of QuestEffects that are invoked, when the Quest is completed.
-        
+
         Quest itself should not be instantiated, if you want to create a quest either go for LocalQuest or GlobalQuest, whichever suits you needs better.
     @author
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport Quest : public QuestItem
+    class _QuestExport Quest : public QuestItem
     {
         public:
@@ -81,5 +81,5 @@
             inline Quest* getParentQuest(void) const
                 { return this->parentQuest_; }
-                
+
             /**
             @brief Returns the list of subquests.
@@ -95,14 +95,14 @@
             inline const std::list<QuestHint*> & getHintsList(void) const
                 { return this->hints_; }
-        
+
             bool isInactive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
             bool isActive(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'active'.
             bool isFailed(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
             bool isCompleted(const PlayerInfo* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
-        
+
             bool start(PlayerInfo* player); //!< Sets a Quest to active.
             virtual bool fail(PlayerInfo* player); //!< Fails the Quest.
             virtual bool complete(PlayerInfo* player); //!< Completes the Quest.
-        
+
             bool addListener(QuestListener* listener); //!< Adds a QuestListener to the list of QuestListeners listening to this Quest.
 
@@ -116,5 +116,5 @@
             const QuestEffect* getFailEffect(unsigned int index) const; //!< Returns the fail QuestEffect at the given index.
             const QuestEffect* getCompleteEffect(unsigned int index) const; //!< Returns the complete QuestEffect at the given index.
-            
+
             /**
             @brief Returns the list of fail QuestEffects.
@@ -123,5 +123,5 @@
             inline std::list<QuestEffect*> & getFailEffectList(void)
                 { return this->failEffects_; }
-                
+
             /**
             @brief Returns the list of complete QuestEffects.
@@ -133,5 +133,5 @@
             virtual QuestStatus::Value getStatus(const PlayerInfo* player) const = 0; //!< Returns the status of the Quest for a specific player.
             virtual bool setStatus(PlayerInfo* player, const QuestStatus::Value & status) = 0; //!< Changes the status for a specific player.
-            
+
         private:
             Quest* parentQuest_; //!< Pointer to the parentquest.
@@ -142,7 +142,7 @@
             std::list<QuestEffect*> failEffects_; //!< A list of all QuestEffects to be invoked, when the Quest has been failed.
             std::list<QuestEffect*> completeEffects_; //!< A list of QuestEffects to be invoked, when the Quest has been completed.
-            
+
             std::list<QuestListener*> listeners_; //!< A list of QuestListeners, that listen to what exactly happens with this Quest.
-            
+
             bool setParentQuest(Quest* quest); //!< Sets the parentquest of the Quest.
             bool addSubQuest(Quest* quest); //!< Adds a subquest to the Quest.
